Tag: build.gradle

Cómo ignorar el atributo Ignorar InnerClasses

Varias bibliotecas .jar de terceros que utilizo están lanzando miles de advertencias de Lint como ésta: Error:warning: Ignoring InnerClasses attribute for an anonymous inner class Error:(com.inneractive.api.ads.sdk.IAmraidWebView$a) that doesn't come with an Error:associated EnclosingMethod attribute. This class was probably produced by a Error:compiler that did not target the modern .class file format. The recommended Error:solution is […]

Gradle compile filetree sintaxis

Estructura de carpetas: – RootProject Folder – MyMainProject – MyLibraries – Facebook La carpeta del proyecto raíz tiene un archivo build.gradle, pero MyMainProject tiene uno con todas las dependencias. dependencies { compile fileTree(dir: 'libs', include: '*.jar') compile project(':MyLibraries:Facebook') } Me siento como compile project no tiene el camino correcto. ¿Hay alguna manera de hacer que […]

¿Cómo excluir archivos de recursos con Gradle y Android Studio?

Tengo un archivo de xml de recursos de cadena generado en mi proyecto que se genera a partir de un archivo con extensión .template. Estoy tratando de excluir esta plantilla de la construcción, ya que me da error de recurso duplicado. Lo siguiente no funciona para mí y estoy atascado: sourceSets { main { manifest.srcFile […]

No se pudo encontrar: com.android.support:support-v4:22.2.0

Estoy tratando de hacer una aplicación, pero parece haber algún error con los archivos gradle ahora. Funcionaba bien hasta que actualizé las bibliotecas de soporte. Yo estaba trabajando con api 21 que funcionó bien, pero luego actualizado a api22 y cambió los archivos gradle en consecuencia .. Ahora este error aparece. Error:Failed to find: com.android.support:support-v4:22.2.0 […]

Gradle no pudo resolver

Esta es la primera vez que intento usar gradle con un proyecto de android. Me gustaría añadir retroadaptación a mi proyecto, pero sigue contándome. No se pudo resolver: com.squareup.retrofit: retrofit: 1.9.0 No se pudo resolver: com.squareup.okhttp: 2.2.0 Sin embargo, los servicios de Google Play funcionan perfectamente. Mi archivo gradle es el siguiente: apply plugin: 'com.android.application' […]

Android Studio Error JUNIT4! JUnit versión 3.8 o posterior esperado:

Estoy haciendo el proyecto de Android (en Android Studio), con un poco de SDK en el interior que es puro java. Así que lo que quiero es hacer la prueba de JUnit4. Y configuré el archivo Gradlle de esta manera: apply plugin: 'android' android { compileSdkVersion "Google Inc.:Google APIs:19" buildToolsVersion "19.0.1" lintOptions{ checkReleaseBuilds false } […]

Dependencia de Gradle para arquitectura específica con splits ABI

Estoy enfrentando este problema que parece que no soy capaz de resolver. Aquí está el escenario: Im edificio apk que utiliza gradle dependencia y esta dependencia es específica de la arquitectura para apk para x86 necesito dependencia diferente y para el brazo diferente también. Lo solucioné con sabores de producto: productFlavors { dev { … […]

Facebook Audience Network Ad Sdk dependencia dando error de tiempo de ejecución en la aplicación para Android

Al añadir la siguiente dependencia en build.gradle compile 'com.facebook.android:audience-network-sdk:4.+' El proyecto de ejecución está dando error Error: Error de ejecución para la tarea ': app: transformClassesWithJarMergingForDebug'. Com.android.build.api.transform.TransformException: java.util.zip.ZipException: entrada duplicada: com / google / android / gms / internal / zzf.class Aplicación, archivo build.gradle apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.2" defaultConfig { […]

Android: el paquete está en conflicto con un paquete existente con el mismo nombre

Tengo este config predeterminado en Gradle. defaultConfig { applicationId "com.my.application" minSdkVersion 16 targetSdkVersion 22 versionCode 190011 versionName "2.2.1" } Y esos sabores productFlavors { dev { applicationIdSuffix ".dev" versionCode 333333 buildConfigField "String", "ANVIL_BASE_URL", "DEBUG_URL" resValue "string", "app_name", "app name dev" signingConfig signingConfigs.releasesign } prod { buildConfigField "String", "ANVIL_BASE_URL", "PROD_URL" resValue "string", "app_name", "app name" signingConfig […]

Android studio 3.0 Canary 1: la actualización del proyecto ha fallado

He intentado cargar mi proyecto en este nuevo Android Studio 3.0 Canary 1 . Estaba funcionando perfectamente en mi anterior Android Studio Versión 2.4 preview 7 Este es el error que estoy enfrentando: Error:Could not resolve all dependencies for configuration ':sample:devCompileClasspath'. Project :sample declares a dependency from configuration 'devCompile' to configuration 'dev' which is not […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.